Announcement

Collapse
No announcement yet.

Newbie need help to install BEDTools under Cigwin

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Newbie need help to install BEDTools under Cigwin

    Hi all,

    I've been trying to install BEDTools under Cigwin but I get the following error message in the last step:

    $ make all
    Building BEDTools:
    =========================================================
    DETECTED_VERSION = v2.17.0
    CURRENT_VERSION =
    Updating version file.
    * Creating BamTools API
    - Building in src/utils/bedFile
    * compiling bedFile.cpp
    bedFile.cpp:1: warning: -fPIC ignored for target (all code is position independent)
    In file included from bedFile.h:16,
    from bedFile.cpp:12:
    ../../utils//gzstream/gzstream.h:35:18: zlib.h: No such file or directory
    In file included from bedFile.h:16,
    from bedFile.cpp:12:
    ../../utils//gzstream/gzstream.h:50: error: `gzFile' does not name a type
    Makefile:22: recipe for target `../../../obj//bedFile.o' failed
    make[1]: *** [../../../obj//bedFile.o] Error 1
    Makefile:120: recipe for target `src/utils/bedFile' failed
    make: *** [src/utils/bedFile] Error 2


    I've previously installed BEDTools in a Ubuntu virtual machine without any problem, but it makes my desktop PC very slow.

    I've apparently installed all the required packages for the installation under cigwin. I hope you can help me. I'd appreciate it a lot.

    Thank you in advance

  • #2
    Are you certain you have installed "zlib"? If not this may help: http://askubuntu.com/questions/21059...-using-apt-get

    Comment


    • #3
      Originally posted by GenoMax View Post
      Are you certain you have installed "zlib"? If not this may help: http://askubuntu.com/questions/21059...-using-apt-get
      Hi Genomax,

      Thank you for your answer

      After installing "zlib" and "libgcrypt" I got the same error

      I'll keep trying it

      Comment


      • #4
        Originally posted by lsantome View Post
        Hi Genomax,

        Thank you for your answer

        After installing "zlib" and "libgcrypt" I got the same error

        I'll keep trying it
        Hi, Have you fixed this error yet?

        I got the same warnings when install BEDtools under Cygwin (MobaXterm 7.6).

        I also find an answer on Biostars, it may be helpful: https://www.biostars.org/p/103210/

        Comment


        • #5
          If the error you get when building bedtools (or other software) is

          zlib.h: No such file or directory
          then on Cygwin the package you need to ensure is installed is zlib-devel.

          Comment

          Working...
          X